#include<iostream.h>
 int main()
{
 int gcd(int m,int n);/*函数声明*/
 int m,n,k;
 cin>>m>>n;
 k=gcd(m,n);/*函数调用*/
 cout<<"最大公约数是"<<k<<endl;
 return(0);
} 
 int gcd(int m,int n)/*函数定义*/
{
 int a;
 do
 {
  a=m%n;
  m=n;
  n=a;
 }while(n!=0);
 return(m);/*函数返回值*/
}
